> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Activity

> Get aggregated daily vote activity across the authenticated user's workspace.



## OpenAPI

````yaml /openapi.json get /v1/workspace/activity
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/workspace/activity:
    get:
      tags:
        - Analytics
      summary: Get Workspace Activity
      description: >-
        Get aggregated daily vote activity across the authenticated user's
        workspace.
      operationId: get_workspace_activity_v1_workspace_activity_get
      parameters:
        - in: query
          name: scope
          required: false
          schema:
            default: all
            pattern: ^(all|personal|team)$
            title: Scope
            type: string
        - in: query
          name: days
          required: false
          schema:
            default: 7
            maximum: 90
            minimum: 1
            title: Days
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceActivityListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    WorkspaceActivityListResponse:
      description: Aggregated workspace vote activity series.
      properties:
        activity:
          items:
            $ref: '#/components/schemas/WorkspaceActivityPointResponse'
          title: Activity
          type: array
      title: WorkspaceActivityListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    WorkspaceActivityPointResponse:
      description: Aggregated daily workspace vote activity point.
      properties:
        date:
          title: Date
          type: string
        feedback:
          title: Feedback
          type: integer
        votes:
          title: Votes
          type: integer
      required:
        - date
        - votes
        - feedback
      title: WorkspaceActivityPointResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````